NX Open C++ Reference Guide
|
This builder is used to control the alignment parameters of a CAE::CorrelSolution
To create a new instance of this class, use CAE::SimSolution::CreateAlignmentBuilder
Created in NX6.0.1.
More...
Classes | |
struct | ReferencePt |
Specifies the data for the selected reference points. More... | |
Public Types | |
enum | ScalingChoice { ScalingChoiceFromSecondAxis, ScalingChoiceSpecify } |
the way the scaling factor is computed More... | |
Public Member Functions | |
NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt | GetReferencePt1 () |
Gets the reference common origin point. | |
NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt | GetReferencePt2 () |
Gets the reference first axis origin point. | |
NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt | GetReferencePt3 () |
Gets the reference second axis point. | |
bool | SaveXmlTransform () |
Returns the save xml transform Created in NX9.0.0. | |
NXOpen::CAE::CorrelAlignmentBuilder::ScalingChoice | ScalingType () |
Returns the scaling type Created in NX6.0.1. | |
double | ScalingValue () |
Returns the scaling value Created in NX6.0.1. | |
void | SetReferencePt1 (const NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt &referencePt1) |
Sets the reference common origin point Created in NX6.0.2. | |
void | SetReferencePt2 (const NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt &referencePt2) |
Sets the reference first axis origin point Created in NX6.0.2. | |
void | SetReferencePt3 (const NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt &referencePt3) |
Sets the reference second axis point Created in NX6.0.2. | |
void | SetSaveXmlTransform (bool saveXmlTransform) |
Sets the save xml transform Created in NX9.0.0. | |
void | SetScalingType (NXOpen::CAE::CorrelAlignmentBuilder::ScalingChoice scalingType) |
Sets the scaling type Created in NX6.0.1. | |
void | SetScalingValue (double scalingValue) |
Sets the scaling value Created in NX6.0.1. | |
void | SetWrkPt1 (NXOpen::Point *wrkPt1) |
Sets the working common origin point Created in NX6.0.1. | |
void | SetWrkPt2 (NXOpen::Point *wrkPt2) |
Sets the working first axis origin point Created in NX6.0.1. | |
void | SetWrkPt3 (NXOpen::Point *wrkPt3) |
Sets the working second axis point Created in NX6.0.1. | |
NXOpen::Point * | WrkPt1 () |
Returns the working common origin point Created in NX6.0.1. | |
NXOpen::Point * | WrkPt2 () |
Returns the working first axis origin point Created in NX6.0.1. | |
NXOpen::Point * | WrkPt3 () |
Returns the working second axis point Created in NX6.0.1. | |
This builder is used to control the alignment parameters of a CAE::CorrelSolution
To create a new instance of this class, use CAE::SimSolution::CreateAlignmentBuilder
Created in NX6.0.1.
NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt NXOpen::CAE::CorrelAlignmentBuilder::GetReferencePt1 | ( | ) |
Gets the reference common origin point.
NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt NXOpen::CAE::CorrelAlignmentBuilder::GetReferencePt2 | ( | ) |
Gets the reference first axis origin point.
NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt NXOpen::CAE::CorrelAlignmentBuilder::GetReferencePt3 | ( | ) |
Gets the reference second axis point.
bool NXOpen::CAE::CorrelAlignmentBuilder::SaveXmlTransform | ( | ) |
Returns the save xml transform
Created in NX9.0.0.
License requirements : None
NXOpen::CAE::CorrelAlignmentBuilder::ScalingChoice NXOpen::CAE::CorrelAlignmentBuilder::ScalingType | ( | ) |
Returns the scaling type
Created in NX6.0.1.
License requirements : None
double NXOpen::CAE::CorrelAlignmentBuilder::ScalingValue | ( | ) |
Returns the scaling value
Created in NX6.0.1.
License requirements : None
void NXOpen::CAE::CorrelAlignmentBuilder::SetReferencePt1 | ( | const NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt & | referencePt1 | ) |
Sets the reference common origin point
Created in NX6.0.2.
License requirements : nx_correl_base ("FE Correlation")
referencePt1 | Reference Point 1 |
void NXOpen::CAE::CorrelAlignmentBuilder::SetReferencePt2 | ( | const NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt & | referencePt2 | ) |
Sets the reference first axis origin point
Created in NX6.0.2.
License requirements : nx_correl_base ("FE Correlation")
referencePt2 | Reference Point 2 |
void NXOpen::CAE::CorrelAlignmentBuilder::SetReferencePt3 | ( | const NXOpen::CAE::CorrelAlignmentBuilder::ReferencePt & | referencePt3 | ) |
Sets the reference second axis point
Created in NX6.0.2.
License requirements : nx_correl_base ("FE Correlation")
referencePt3 | Reference Point 3 |
void NXOpen::CAE::CorrelAlignmentBuilder::SetSaveXmlTransform | ( | bool | saveXmlTransform | ) |
Sets the save xml transform
Created in NX9.0.0.
License requirements : nx_correl_base ("FE Correlation")
saveXmlTransform | savexmltransform |
void NXOpen::CAE::CorrelAlignmentBuilder::SetScalingType | ( | NXOpen::CAE::CorrelAlignmentBuilder::ScalingChoice | scalingType | ) |
Sets the scaling type
Created in NX6.0.1.
License requirements : nx_correl_base ("FE Correlation")
scalingType | scalingtype |
void NXOpen::CAE::CorrelAlignmentBuilder::SetScalingValue | ( | double | scalingValue | ) |
Sets the scaling value
Created in NX6.0.1.
License requirements : nx_correl_base ("FE Correlation")
scalingValue | scalingvalue |
void NXOpen::CAE::CorrelAlignmentBuilder::SetWrkPt1 | ( | NXOpen::Point * | wrkPt1 | ) |
Sets the working common origin point
Created in NX6.0.1.
License requirements : nx_correl_base ("FE Correlation")
wrkPt1 | wrkpt1 |
void NXOpen::CAE::CorrelAlignmentBuilder::SetWrkPt2 | ( | NXOpen::Point * | wrkPt2 | ) |
Sets the working first axis origin point
Created in NX6.0.1.
License requirements : nx_correl_base ("FE Correlation")
wrkPt2 | wrkpt2 |
void NXOpen::CAE::CorrelAlignmentBuilder::SetWrkPt3 | ( | NXOpen::Point * | wrkPt3 | ) |
Sets the working second axis point
Created in NX6.0.1.
License requirements : nx_correl_base ("FE Correlation")
wrkPt3 | wrkpt3 |
NXOpen::Point* NXOpen::CAE::CorrelAlignmentBuilder::WrkPt1 | ( | ) |
Returns the working common origin point
Created in NX6.0.1.
License requirements : None
NXOpen::Point* NXOpen::CAE::CorrelAlignmentBuilder::WrkPt2 | ( | ) |
Returns the working first axis origin point
Created in NX6.0.1.
License requirements : None
NXOpen::Point* NXOpen::CAE::CorrelAlignmentBuilder::WrkPt3 | ( | ) |
Returns the working second axis point
Created in NX6.0.1.
License requirements : None